-- Local vars and funcs
local addonName, BUFFWATCHADDON = ...;

local LRankText = nil;
local NoLocale = false;

function BUFFWATCHADDON.GetSpellRank(spellId)

    if NoLocale or spellId > 392704 then return nil; end

    local byteval = string.byte(BUFFWATCHADDON.SpellRanks, spellId);

    if byteval > 48 then
        return byteval - 48;
    else
        return nil;
    end

end

function BUFFWATCHADDON.GetSpellRankText(spellId)

    local rank = BUFFWATCHADDON.GetSpellRank(spellId);

    if rank then
        return LRankText..rank;
    else
        return nil;
    end

end

-- Simple localization for rank text until we do something for the whole addon
function BUFFWATCHADDON.SetLocalization()

    local locale = GetLocale();

    if locale == "enUS" then LRankText = "Rank ";
    elseif locale == "enGB" then LRankText = "Rank ";
    elseif locale == "deDE" then LRankText = "Rang ";
    elseif locale == "esES" then LRankText = "Rango ";
    elseif locale == "esMX" then LRankText = "Rango ";
    elseif locale == "frFR" then LRankText = "Rang ";
    elseif locale == "ptBR" then LRankText = "Grau ";
    elseif locale == "ruRU" then LRankText = "Уровень ";
    else
        NoLocale = true;
    end

end
BUFFWATCHADDON.SetLocalization();

-- 3.4.0.45506
BUFFWATCHADDON.SpellRanks = table.concat({
    ".........1......1...................................1.............1..........1..........1.........111...........1..1.1.1.1......",
    "....1..1..1...2.3......................1...1................................2......................2.................1..........",
    "...........................23......................................12.....12......1........1.....................1..............",
    "..................1....1............1...........................................1.1.1.....................1....................2",
    "..1...........1.2.............1...33.1............6.....................1.111.22.2.123.31311.1....1.....................1.1...2.",
    "..3...3......................................11.1...1.22..21.11.312.31.............1...............1.....1........1...1.........",
    "3..1.1....12.2......................................................3.......1.....3.1...2.......2.............1......2..........",
    "........3.......4.4..............2........5...5.4.............6..........3...1.1...1...4...2.3.4...2.......5.4.1.1...2.......1..",
    ".4.....5..1......5...............2...2.1..........3...1..1...2.4.2...3...1.......5.2...........1.....1...1......................",
    "......21.................................1.1.............1...1..........2..2............1.123...123..............11.............",
    "................................................1..................................4.....................4......................",
    ".....................3..................1....123..123.11..1....1234.....1........1....1...1..........1..1..1...........1......1.",
    ".......................................................................4........................................................",
    "......23.........................................1....................2...........12345123452345......2345......2.......234...3.",
    "..................1..........123......1..................1..1..12...............................................................",
    "......................1.....1................1...........1...........................1.1.2.....................................8",
    ".1.2312....11........2....1..............45....1.1...................1112.112..........123.1123.................................",
    "................................................................................................................................",
    ".........................................................1......................................................................",
    "................................................................................................................................",
    "........................1...234..............21345..........................1.....1.....1.......................................",
    "..............................................................................5.......................4........2...........1....",
    ".12...12...1...............................3..........1....................................1...1............................4..1",
    "..1112......................1.567..1231.........................871.................2..............1............................",
    ".....................................12............................4............................................................",
    "..................................................................34............................................................",
    "..........................1....................................................1................................................",
    ".........6.....6...............................................................................22...............................",
    "..............1......1....................6.................................34...84......1.......................234............",
    "...1..............................4.............................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "..........123.41243...................................................1...........................12345678......................",
    ".....................................8.....6.8.................................................................................3",
    ".5.......5..........................................................3.3...................3....................8................",
    "............5......5...............................................1............................................................",
    "..........................................7.......7.............................................................................",
    "................................................................................................................................",
    ".....6......6......................1............................................................................................",
    ".......................................................9:....................................................1..................",
    "......................123.........................1..4.12345....12345.....34....3.........1.....1...1..........2.4.......2......",
    "............................1..1.........................1.1...........111111...................................?.11234234...11.",
    ".................1.1........1.....................@....................................................2...1...................1",
    "2311.....................1..................................23...1...............2.23.....2.122..............23.................",
    "...............12......................1..111..................1..3...1......................12111.........1....................",
    ".....................1..........................................................................1...............................",
    "...........................111....1234.........................1................................................................",
    "..........23............6..................6..3456.......23456......................................1...1.....444433...1..2.2211",
    ".2...............................2...........2.3........12..3.......2.3.3.2..23.....1......................................1....",
    ".......1234..5....................1...1..2345..........1..2345........1......2341......1.12341....23..2.3............234234.234.",
    "........1............1...........1........12345...........................................................1.....1111............",
    ".................234.....23..1.1...........1.2........................................................................1.........",
    "................1.....................................1............1...1...........................3...234.....2.1...2...6.6..2.",
    "1.2.1...2....2.2......123.......................................................................................................",
    ".......21.....1.....................1.......1..1...0.0............23...2................1.......................................",
    "............................................................3...1..1...................2........1........................1..1...",
    ".........1.................................6.................1234512435123451234512345.............123..1..............1.1...1..",
    "...231.................214.....11.1..........1....................1..1..21.23.....3..............1.....2.3..2.1.................",
    "................................................................................................................................",
    "........................................................................................6....4.4..4.............................",
    "...............................................11..................................1..................................2345.23123",
    "23412123............1............................................231232.12341.2......................................56....11...",
    ".......................1.............1.........................1...17..2.3.2....123....1.12233..11..22...1.234...1.23..1.2......",
    "2....1111.11..............11.23123...23456.....12312312311.2.........5.....1......1..111.2323..2323..............1..11.11.11.11.",
    ".....2.....34.....1...............1....1..2..........4..2..........1.11111..........1..........23..1.......................2323.",
    "...........................11..............................3......22........1..567...567...45454554..34.3433......1.234234.23423",
    "42323.2223232323...........................22232323..23...........1.............................................................",
    "................1..1.3.................1....6.56..1.3.234...3.23..2.....23.......................1.1..11.1..22.33......2........",
    ".......1........5..23..........1...................................................4.......................4.....4.2............",
    ".........................................1............................7.7.5..7...4...2..1..234567......1.2345.......234...2.....",
    "...........4..........3....111.3..1111.2....1.11................................................1...............................",
    "...........................................1...................................................................1................",
    "....1111.........1......................2.......................................................................................",
    "........................................................................................4..................11..................2",
    "34......6..12....3.23...........................................................................................................",
    "...............................11...............................................................................................",
    "....1..11..11...5.4..6.4.4.5.8........................................1.....................2.22.33.45..89:...89:...34..45.56..7",
    "89...34..34.......56...67..67..9:..3.5.6.5..3..4...5.6.83.3............................................................1........",
    "................................33.................................2343434......................................................",
    ".........................567567565689:;....45534534534..343445454489:...4564564564566677565656756767..565634344455...44.........",
    "................................67...3...........2467....2345......4.3.456...2...2.3...78......................................1",
    "......................78..89..41..456456...567........565656..67..5656..44..4.45.......3.3.4545..456...34..2323......3....2.3423",
    "4............................3.......23.23........................................234234234.......11.2323...4................23.",
    "................................................................................................................................",
    ".....................................................................................78........................................3",
    "4.....33.4.678...789:.......2.....567.........789...78..56......789...56..3.23.34.234...........................................",
    "...........................................................1111......1.2..1.1........11....1..1....1....1.1...12...1............",
    "..............1........1.........1....1....1....1...11......45........1.11..1........1.........1....1....1....1....1..1.........",
    "..456...456...678...45..56..78..3.78..4.345......45...........1.2.....456456............3434..1......123..1.....................",
    "....................123..........1..........................................432.................................................",
    "..................1.........456..345.......5678....567...3.56..34..........45..45..34..34.......................................",
    "..........789...5.67..56..4.34..2323..456...567...56......56..456.....2.23..23..45..345...23.....................67..45..4545565",
    "64564563434.................................................1...................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".11..........4444.4..................1..................................................................................11.1111.",
    "11...11.11111.1....1..111...111111.11.1.12.......2345.......232.2.1.23...................2...................345................",
    "..............................................23..2.3...2..........1232323.....23..2345.2............23..34567..................",
    "................1.......2.3..2345..............2.....2......22...................................................2....2323.2...2",
    "...23.................122..123451.....23..........12345......................2345.......2345................2.345..23.......112.",
    "..22.....232345..2..1..234.......12...23.....34522.2314523.451234533...23..23451.....2..........................................",
    ".....................2.23..1.223..21.123452345.......23...............2345...............2345.........234.........2.2345........",
    "............................................................................................................1...................",
    ".................................11..234234.....................................................................................",
    "...............................................................................................................1................",
    ".........................................1.......11...................................1....1.........567....2345678.............",
    "................................................................................................................................",
    "........11..1..11.1................11.......1111.......2.1.................................23..32.1.1..23452345....11...........",
    ".......2..........345..23.4523........2.232....2..2.............................................................................",
    ".....1.12345.....23...111.231.1.........................................................................1....23..2...232...1..12",
    ".12.........12..............1...12345.1........1...2..3451234511...22......11122312312.12.123123..1.1....1...2..345.....2345....",
    "............................................1......2345678..234.........2345678234...23..23452345..2323..23232345623423.........",
    "................................................................................................................................",
    ".......................................................111112345..1.............................................................",
    "................................................................................................................................",
    "......................1...1111.1..............223232.2.23..23..23..2345..........................23.............................",
    "........................................1..11....1..1..1...1111111.234567234567.................................................",
    "...............................2345223..22.2...23452345...............3..........123............................................",
    "......................................................................................................9:........................",
    "....1...................11118234567..112111...............................23452234.521.3......23..23..2312..........2....3452.3.",
    ".23............................1..............1......................23......1.........2.3......................................",
    "..............................................1...............................234............................1..................",
    ".............................1...............................................................................................1..",
    "................................................................................................................................",
    "................................................................................................................................",
    "..................................1..1111.1..........................................1..................234523452345............",
    ".2.............................23...........1..1111111.1..1......1.2.3......23..2234523452345234523452.3..223..3...........11111",
    "111.11...1....23....23452345..2..2..2.2..2...23452345.567.........................4.5656.......45.45.....4......................",
    "..4..........................................................................12345....................1.2..312................1.",
    "123......................12345.2.....1.....................1.....12345....................1.............1.......................",
    "................................................1.......66........................1..........12345.................112....3.4511",
    "45.1..111111.............................2345123451212....1234561231..23....123..1.......12345..........633567............315451",
    "2.3.........123451........23....123..12345.12123..123..1.2...11.2....1.2...1.23......1...............12...1234..................",
    ".........................12....1.2345.1.23..1234512345.12......................1.123..12345..123..12............................",
    ".1....................................3.........................................1...................1123456782345678............",
    "..............................2345.......12.....6...1.............23..1.................................................23......",
    "..................123.......................................................12345...............................................",
    "........6.......................................................................................................................",
    "..............................................................23......11.............234234...........1........1.123..123..12345",
    "1..2....34512....123451.................23...............23456234.56................1.......................................1223",
    "4562231223....................234123451.........................................................................................",
    "........................2.......1.......1....121....1.................12.....12..1....12.....................................123",
    "..12.12...1.5.......................1....121..................................................12345..1..........................",
    "...................................................................2........1.............................................123...",
    "..........................12.123....1............................................................12.345...............12345.....",
    "...............................................9.:....................................2.........23..............................",
    "...12123123...12123.12....................1...........23.........123.......1..1212345.................................6.8.......",
    ".....2....1.2.1...................................23456.................................................................23......",
    "...................................1...11.......................................................................................",
    "..................................................................................5...12.......1...........23..1................",
    "...................................1.2.34561..........12345................23456.....12..1...21.23.......1......................",
    ".........................................12.3..1....12345123..................1....2...12345123..12.345..1...2234563456......123",
    "....12.123.......1.1.....11.1.23451.23...123....1.123.......................................123123451212...........12.2..11...12",
    "345..1.2.....123451.234512.3..11234512345.....................21.2.234......1234................................................",
    "..................2..3.42341.1.......1...................................................................................23456..",
    ".........2.345...............12..1.1...........1..1...232323......................................23456.........................",
    ".654321..................................................................11.2...1......23..12345...............................1",
    "234512345.....123..212345.....1..2....3..123..12345.....1....................12.1.2435..111..2...12123......123541.2345........1",
    "2.......1122123...112...123.1123123451234511.2.........................................345672....123.45..345..123...............",
    "......123...............34561234561234561234.234561234..................1234123412................................1123..1.......",
    "...1..12.......3...121212..................................1..................45........5.......................................",
    "23...2323.............1..........................2.345...........................................7.............................1",
    "..2..3....45...2..345............5.45..45.......................................................................................",
    "....................11111.....2....23456....23...........3451.2323......................................1.......................",
    ".................................................................................1..................................1...........",
    "..........................................1....1..............1..1..............................................................",
    "................................................................................................111111..........................",
    "................................................................................................................................",
    "..............................................234........1.2......................1111.11111111111111111111111111...............",
    "................................................................................................................................",
    "......................................................................3.................12......................................",
    ".....................................................................1..........11....................1.........................",
    "..............................11................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".................................................................................1..............................................",
    ".......................................1.1......................................................................................",
    ".................................................................................1...........................1...........1...232",
    "3...............1..1......................234...................................................................................",
    "................................................................................................................1..1.1..........",
    "..............................................................1..........................................1..23..................",
    ".........................................1.......................................................1..............................",
    "...................................................................................................1.........................5..",
    "..............................1..23.............................................................................................",
    "..............:86..............12345.............1..............................................................................",
    "..............3:................................................................................................................",
    ".......................................4.4.........................................234...........................1234...........",
    "..........56..........88.................................................................................44.....................",
    "....................................................1.............12323.........................................................",
    ".............................................63........6.........................21.......3............45.......................",
    ".............................................................................7.......1.....68:.1......11..............212.134.23",
    "4112323.......34..........1234...........1...1.......234234234234234............2.................1........2345678..............",
    "23423422.3434..............1..........................9:.......11........................................1.1......3.............",
    "...............................................7...............................................................44......88.......",
    "...........11................................................5................................................2345..............",
    ".......12345.2345..............................2345623456.......................................................................",
    ".................................................................................................................67....8.6..7...",
    ";<..;<..6.....6.8697....56.....5..5......5.....7.6..7..4455..........9.67679.597;7;9.5.;.<:68.75.5:5............7.7.............",
    "88..5.5.....:...559:..9:...:..;........9..7.7.;3...<.......................7.45.......7.4.6.7.5..6.....;<....8..7......5..7.8..9",
    "...............77..........66...57878..77...........7.66.72.7.6.7........67..555....5.44.44..66.55.144...............6....1.....",
    "...............................................................................................................3................",
    ".....................................................1..........................1....1.6............5......2....................",
    ".....................................1.......33.......2121.2.2.....................................12...........................",
    "...2........1.1................22....12.........................................1...1........................1..................",
    ".......................................................................234..23...........5.......................1..............",
    "..........................................................................................................................71234.",
    "5689....1.......................................................................................................................",
    "............................................................................1...................................................",
    ".............................1..............2.........1........1...........................................................1....",
    "................................1.....................................................7.....................9::4:67.............",
    "...8...3377...........................................................................66.........<=:<=59:8;<7837.64866.667555447",
    "77.469.:..9.646644...;<............83887995.5555...5....7.444=<=8999.897.8..7765.9..........5.5....................54626.57965:;",
    "7738373.....864444..................6444..44.....7755...................;73544985778.747...4.6.......6....1......5........86..7.",
    "4.86675777556...5...1..........................................................8.799555555......5;.;.4........89.8978..7765.7554",
    "626557..........................................7......6.....................................68.677775565..5....................",
    ".......................................................13654...3..............7.....89:724....2.26..3.56.2.....63...............",
    "................................1.1.....................................................................3.......................",
    "............12........456.456.....1.1.2323.........2..........124............................23.23.........................12345",
    "................................................................................................................................",
    "................................................................................................................................",
    "...........4...1............2...............................................................................2.....44............",
    "...........................................2..........6.........................................................................",
    "................................................................................................................................",
    ".............................1.................23..............654.7............................................................",
    "..........1.....................................................................................................................",
    "................................................................................................................................",
    "...................................................................12312....1...................................................",
    ".....1.23........123..23.1.2.3.................................111.................1..23.........................1......2323....",
    "..1.2.312........3..21.....................6....................................................................................",
    ".............................................................................................................................123",
    "1..2..1........................................................................4......................................1.........",
    "...................2312312...12.......:.........................................................................................",
    ".......4..:.............11132.................................12345............2..........1..2.3................................",
    ".........1.1.2..12................2............................12...1...........................................................",
    "......................8........................................2.....3..........................1.23.1..2..12345....12..........",
    "......3....................1..................................123.....1.11.....1....1............................22.3323........",
    "....11....2.1233.................1..2345..1....2..........................1....123451.23..1.23................123..;.1...6....6.",
    "...................68..............................................23.......23....................................1...1...8.....",
    "............1....1..............................................................48..............................................",
    "............................2.......................................1..123..1231231..23..32.................123451..............",
    "..............................................................................1231.....23..123.1.23.............................",
    "...............123123..12......11.2345.....1212......12345..82........12........................................................",
    ".......................................9.5......................................................................................",
    ".................121.2...12............................................................................12.123..12345123.112123..",
    ".123.......12.........1................1........................................................................................",
    "...................1.23.........................................................................................................",
    "................................................................................1212.12...1..2312345............................",
    "................11...12312.............123..1.....1231.2.1234512.12.........................4...................................",
    ".....................1..................1..................1..............1..12.12.123..1.2312345.112..12123.....123..11.1231.12",
    "...123123................1.....................1..............1.................................................................",
    "..........................................1.....3.....................3.........................................................",
    "...............................................................................................9......2..1......................",
    "..........................................................................................................................1.123.",
    "1.2....345..................................................................................1.....23...................;........",
    ".................................1....................................1.........23..............................................",
    "....1......1...............................2..............23............................1.............2...15....................",
    "...........................66............................1...........1..........................................................",
    "............................................................................11.1.............1111..2..2..................1.1....",
    "................234......................1.....555.15555.5...........................................................11.23...11.",
    ".2...12345....1...23.............1...2123..123..12..........123.....12345....................34.................................",
    "............................................................................3.............2.................................6...",
    "................................................................................................................................",
    "........................11.......1..................1231...21.212312345.........................................................",
    ".................................1236.6123..........8..................8........1...........1.....1............2................",
    "...1........11.1.............1............................121.23..1......23....12..15112123..12345..........................1...",
    "........1...7....:.....6.66........33........................23..23.......................................1.....................",
    "......................................................................72......................1.......123.......................",
    "....................................................................................................................1.231..2....",
    "..........................................................................................................234223344.............",
    "....................121...23.1.2312345.12312.12.312312345.1231.21231.23..123....................................................",
    "................................................................................................................................",
    "................................................................1...............................................................",
    "...............11234545...................231.2345......................1..................123..11.23.................1..23.....",
    "...121.122..........................................................................12.............................12...........",
    ".........................121.2.1.....23.........................................................................................",
    ".........................................................................................123456...12.3456789..............2.....",
    "...................1.........23...11......................112233...23................................................1.23.......",
    "....................................................1...............................11..2345.2345........................1..2...",
    "..........................................................................................................123...................",
    "................................................................................................................................",
    "..........6.....................................................................................................................",
    ".....................................................................................................1..........................",
    "...1............................................................................................................................",
    "........................................................................1.......................................................",
    "................................................................................................................................",
    ".............111................................................................................................................",
    "................................................................................................................................",
    ".......1.....222233334444.......................................................................................................",
    "...................................................5...........................1................................................",
    "...........................................................................................................................12...",
    "................................................................................................................................",
    "............................................................11..................................................................",
    ".....1.....................................88...................................................................................",
    "..........................................................1.....................................................................",
    "............................1.......................................................1...........................................",
    "................................................................................................................................",
    "................................1...............................................................................................",
    "..................................................................................................22............................",
    "........................1.......................................................................................................",
    ".111............................................................................................................................",
    "....................................................................................................1...........................",
    "................................................................................................................................",
    "...................................>....>.::..;;...........................................................6...5................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "........................................................1.....3.8461....................................1.......................",
    ".............................................................................2..................................................",
    "................................................................................................................................",
    "......................................................................1.........................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "..............................2.................................................................................................",
    "...................................................1............................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".....................................................................................................................1..........",
    ".........................................................................................................................7......",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "..................................1.............................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "..........................................................1..........................7.........123456....5....12341..41234......",
    "..123...........................................................................................................................",
    "...............................................................................................................................1",
    "1...............................................................................................................................",
    "............................1...................................................................................................",
    ".................22............................................................?@A......?@<<==......A....:;............:;.......",
    ".........;<..2.34...............23..6..9:...89...78.....8989...89...56....12.....................9......6767......7...7..323...6",
    ".7.7..7.7.89..56.............78...2323..........................................................................................",
    ".........................................................6666.6.................................................................",
    "1...............................................1.......................9.......................................................",
    "......................3......1......................................5...........................................................",
    ".3................................................3..1..........................................................................",
    "......................................................................................1..5...5....5.............................",
    "................................................................................................................................",
    "..................................3...............................................1...1.1.......................................",
    "................................................................................................................................",
    "....................1.5...................1.2345..........................1...................................6.................",
    ".......3.................................................................................12..............1231231.231..........1.",
    "........1.......1......1212.12.31.......1...1.....1.2345...............................................2......................1.",
    "21.23.......1..23....123.45..........................................1..........................................................",
    "........................................................................1..................................23...................",
    "................................................................................................................................",
    "................................................2..............................................1..................6.............",
    "...................................................A....................................1.......................................",
    ".................................................1..1...2323....................................1231.23456789:;<123456..........",
    "...........................................5....................................................................................",
    "....................113.............1.......................................1.........................=?........................",
    ".......................................6........................................................................................",
    "..........................1.....................................................................................................",
    ".............................................................................1..................................................",
    "........................................................................5.......................................................",
    "......................................7.........................................................................................",
    "...............1................................................................................................................",
    "................................................................................................................................",
    "...................................................................................................................1............",
    ".........1.......................................................................................................1..............",
    "............................................................................................................................9...",
    ".....1212.12....121.................................1......1212.123.1...........................112.2.123.......................",
    ".....1..................................1.......................................................................................",
    "..................................1.......................................12..............123........1.............12.3......12.",
    "...12345....123.9........1231212312345.......................123..1.......1.....................................................",
    ".......................................................................1...98.23........<=..............:.7..89..78.........7878",
    "........45..89.7..121.2...312.78..............123..11................123.1.2345.12..1...23.123...123.....................2......",
    ".................................................1............................1.................................................",
    ".....1..1...11...............................3..7..........1...<=:;9:9:.6767.55569:...23232334..4.5..45.......699.56..895.3...7.",
    ".....8.....7.5.685634...1..................................................................99................778898978894444.7.8",
    "898978....7............................8....1................89.=>=>.:;7638989.....565667.........77..78.....2323.....23.;<;<<=.",
    ".....:;...................89344584.....953789.......1...........................................................................",
    "..........................................89..................1.........................................................>?1....1",
    "....1..23.23............12.....................1231231.>?;<6767..23.......;.<=>9:55794......7.9:..123..12.31.231..23....11...23.",
    ".2.1....2...3......1..123.1....23.............787845452378896767867..............1.........1.......................1........;<..",
    "...............;<785555666;<7.89239:...1......1.89:.............................1...............................................",
    "............<=.89..5...........89...56.........457867676745......5..............................................................",
    "..................................9:458945..9:5.5.5.6756.........11.1...........111.....1.119:....:;156;<..1.1..56561.1..1.1..11",
    "..1....1...1.1...1.:;.7889347878.......5656...4.................................................................1..1..1.11..1...",
    ".....1................1......1.1.1.11..........1.11....1........1.11..11.1...9:89.67=>=>...........................7878=>.897:;:",
    ";.45.....................7......................................................................1............234523.............",
    "..............................................1...............1.....2345..2....2323...2.3..23.23...23................2..23..23..",
    ".2...23..................2.23.23..23...............12.....23..2.12.......23...............23..232.34.5...............23.2...2345",
    ".............................1...........................................................................................234523.",
    "......89.255................1......................................................................23452......34....5...23452345",
    "6.45.23456.....234234....1...................123456789.......................12.............................3.2.23.....12.3.....",
    "...............................................1...........2345...2.12345123452345......23........2.2323.2...............123....",
    "..........1..23....................56...............................1..........1.....1........1..1...........1.1.....1..........",
    ".............1..............................................1.....2............12.....12...................8....................",
    "1.........................1....1....1.........1...1..............1.1.......1..9....1.11.1...................1...................",
    "................1....1.......1..............................................................................................1236",
    "1.........................................................................7654321..........1...............1....................",
    "......................................................1........1...2345.........................................................",
    ".....................................7............1.......................................7................1....................",
    "..........................1........23.............1...2345.............................23....45.........7.12345.................",
    "........1.........................11..............................245.......................................................2345",
    "........................................................22452345................234....2345...2342345..........................3",
    "..1..23451.1.2.231...231231.23...1..............1...............121212312345.....................12123.1212345..................",
    "........................................121231212123...........................12.345..1.21.2.2..1..12345..1...2.1.23.1.12212345",
    "...........4.....1.........8....12..........................................1.......1.....@.......................>.............",
    "......6.................................3.123......................................................1....1.......................",
    "12............1..2.2223456..3456...34.56...23456....5...........................................................................",
    "............12345.............1.2.3..4.5.6......................................................................................",
    ".........1.................................................123..................................................................",
    "...................1111...................23456..1.....................................................3..............:;:;:;....",
    ".......................................................................1........................................................",
    ".1....................................9.........................................................................................",
    "..............................................1.2345......1.2345.45....................1.................................3......",
    "......................................................................................................................234234....",
    ".....234234.234..............22................66..............................................................................1",
    "234512345.......12....................................12.1212123.122342..34234234.123...1....1123...12233451...2.1..23..1.2345.2",
    "3.412..1..23.1231........................123..12312.1123..88...88...........4............56...........1.......................12",
    "..1123..............1...........1.2...............1.23...................12.............................121221.2........2...123.",
    "......12.1.2..3......21342.56...23.4.56234561.123121223456.234561.234562.23456122345612323.456.11..................123..........",
    ".......4.....1.3......123..1223456....1.2....1..1..........1.612............123.....1........1......1....................1....2.",
    "................................................................................................................................",
    "................................................................................................................................",
    "....................12....7.....12345...............................................................12..........................",
    "....2.34545...................................................................................................................1.",
    "..........................................................................123....3..............................................",
    ".......................1.............................................................2.345.......23.............................",
    "...........2................................................................................................321....1............",
    ".23....................1.......................1.1...........................3............1.2...................................",
    "..2.......................................................1..........................................................1......1...",
    "............................................................................................................2...................",
    ".....3...1..........12...........................112.3............12....................12345..3................................",
    "........................................................45.........23.................6..23456..2..6.34.........................",
    "........................6.................23..................2323..............................................................",
    "...1.............................67....................2.3456.623456..234563456.23456...........................................",
    "..456..............................................................1..2..........................................12.............",
    "...............................................6....................123456......................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".........................................................................................................................12345..",
    "............1..23.123123.........1..............................................................................................",
    ".......................................................................:..................=.....................................",
    "..................................2345...........123456....123..1...............................................................",
    ".......................2.............................................................................................2..........",
    ".23........................................................................................3..1.2345............................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".................................................................................................................1..............",
    ".........................................1..23456............................................................................1.2",
    "..........................1..............1.2.12345.......................1.................2345.................................",
    "....................772................................................................................................234......",
    "..................................1..............................................12345........9.........................123.....",
    "........1.......1..231123................................................................8.............9...89.8989.8967.67..22..",
    ".......34...........................................................=...........................................................",
    "........................................=4......................................................................................",
    "................................................................................................................................",
    ".........12.9............................3..212......2345.....55661............787878...........................................",
    ".....................................4................................1............89:89:89:........1......1..23456.............",
    "..............:...8..8..6.67.788..2.......................21..............889:9:..........................6667775566553665356699",
    "::789.....789...3.6.78678......8889:9:9:.789789.6.78........................................................1..........1.2......",
    "......2..........................1.....................................................................................2........",
    "....................................4...........3..............................12..5.....................................11.11..",
    "...................2.34.2.34.....234............................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".........................................................2......................................................................",
    ".........................................................................................2345...................................",
    "........................................................................................................123456..................",
    ".1........1.....................................................................................................................",
    "..........2.......234..........................................12.....1......1..1...............................................",
    ".........................6.....1.........1.......1........67....................................................................",
    "................................................................................................................................",
    "........................2.......................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "..............................................1.................................................................................",
    "................6.....6.....................................................23.................7................................",
    ".................................................................................................12345..........................",
    "......4.123456.................1....23..........................55.5..5552...............12345...........2....1...234...........",
    "...3............345.....................1.1............................51.43.21...................2.................3...........",
    "................................................................................................................................",
    "...........6..................................................................1.88...99.9..................9...1212..12312......",
    "................................................................................................................................",
    ".....................12..................................1......................................................................",
    ".........................9...................................................................................................1..",
    "................12345........................................3..................................................................",
    "................................................................................................................................",
    "..........5..............................................................................................................13.....",
    "................................................................................................................................",
    "...............1..........................................................................................1.....................",
    ".....................................112.2.12...................................................................................",
    "...................................................123451..1....................................................................",
    "................................................................................................................................",
    "............1...2.3........................2.......1.2..........................................................................",
    "............3.......................................................................................................113.........",
    ".........1.212...................................12.............................................23..1...........................",
    "..............1111.......:...................1.......23..............................1......................................8...",
    "........123..................12345.................23456.........................................................1..2...3.......",
    "......1.........................................................................................................................",
    "................................................................................................................................",
    "......................................1.............................1.........................................................1.",
    "2........................................................9......................................................................",
    ".......................................................................1..............1.....22..1...1..................51.......",
    ".................................333......................................................................23456.................",
    "................................................................................................................................",
    "...................1............................................................................................................",
    "..........................................................................1...........23.45.....................................",
    "................1.....................................5...........5............1..............................................8.",
    ".................................................................................................4................1.............",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".........2......................................................................................1...........................1...",
    "................................................................................................................................",
    "................3..5.......6=..................................>8....:...............6....9.....................................",
    "...4.83........1....................<...............:1.............5..8..99.............3........5............................6.",
    "....4.9.2........1<8.88................................;.......=97..............................................................",
    "...........1..23...1.1................111.......................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "..............................................................................................................1..............111",
    "1...............................................................................................................................",
    ".....2345....23456.........23423456........23456................................................................................",
    ".........................................................................................................................6......",
    "................................................................................................................................",
    "...........2.............5.......................1.1..1.........................................................................",
    ".............................................................72.....................................................3...........",
    "................................................................................................................................",
    ".1.............................................1................................;...............................................",
    "................................................................................................................................",
    "......................................................................................1.................1.......................",
    "................................................................................................................................",
    "............................................6...................................................................................",
    "......................................8.........................................................................................",
    "......................................................................3.........................................................",
    "..........................................................3.....................................................................",
    "................................................................................................................................",
    ".................9..........:...................................................................................................",
    "6...............................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".....................................................................9..........................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".........1......................................................................................................................",
    "5...................................................................................................5.........9.................",
    ".................13.3.3.1.3..................3.3................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "...............................................................6...............................................................8",
    "31........................................;.....................................................................................",
    ".....................................................................................................;..........................",
    ".................................<..............................................................................................",
    "................................................................................................................................",
    "........................................................................................................9.......................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "....................................................................................................................1...........",
    "................................................................................................................................",
    "................................................................................................................................",
    "....................................................................................................................1...........",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "....................................................3...........................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "..1.............................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "...........................1.1..................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "......................................................................................1.........................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "...............1................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".............................................................2..................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    ".....................................................................................8..........................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................1............1.......1..........................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
    "................................................................................................................................",
});